/**************************************************************************
**
** This file is part of Qt Creator
**
** Copyright (c) 2011 Nokia Corporation and/or its subsidiary(-ies).
**
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** No Commercial Usage
**
** This file contains pre-release code and may not be distributed.
** You may use this file in accordance with the terms and conditions
** contained in the Technology Preview License Agreement accompanying
** this package.
**
** GNU Lesser General Public License Usage
**
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights.  These rights are described in the Nokia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** If you have questions regarding the use of this file, please contact
** Nokia at qt-info@nokia.com.
**
**************************************************************************/

#ifndef FORMEDITORPLUGIN_H
#define FORMEDITORPLUGIN_H

#include <extensionsystem/iplugin.h>
#include <QtCore/QPointer>

namespace Core {
    class DesignMode;
    class IMode;
    class IEditor;
}

namespace Designer {
class FormWindowEditor;
namespace Internal {
class FormEditorStack;


class FormEditorPlugin : public ExtensionSystem::IPlugin
{
    Q_OBJECT

public:
    FormEditorPlugin();
    ~FormEditorPlugin();

    //Plugin
    bool initialize(const QStringList &arguments, QString *error_message = 0);
    void extensionsInitialized();

public slots:
    void ensurePluginInitialized();

private:

    void initializeTemplates();

    //Core::IMode *m_prevMode;
};

} // namespace Internal
} // namespace Designer

#endif // FORMEDITORPLUGIN_H
